Skip to main content
GET
List Detectors

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50

Items per page

Required range: 1 <= x <= 200
start_after
string<date-time> | null

Only detectors created at or after this time (inclusive, ISO 8601)

end_before
string<date-time> | null

Only detectors created before this time (exclusive, ISO 8601)

project_id
string | null

Target project for the request. Required when authenticating with a user session token (a user credential is only meaningful scoped to a project); for an API key it is optional and, if given, must match the key's project.

Response

Successful Response

Paginated list of the project's detectors for the public API.

data
DetectorItem · object[]
required
meta
PaginationMeta · object
required

Pagination metadata for list responses.